## ros-melodic-rc-silhouettematch-client 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(rc_silhouettematch_client)
include(cmake/project_version.cmake)

# - Configuration for code optimization -

if (NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE RELEASE CACHE STRING "Build type: DEBUG or RELEASE" FORCE)
endif ()

# - Standard definitions -

if (CMAKE_MAJOR_VERSION VERSION_LESS "3.1.0")
    add_definitions(-std=c++11)
else ()
    set(CMAKE_CXX_STANDARD 11)
endif ()
add_definitions(-Wall)

# add a target for the submodule CPR doing the REST api calls
add_subdirectory(opt)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  message_generation
  geometry_msgs
  rc_common_msgs
  dynamic_reconfigure
  tf2
  tf2_ros
)

find_package(RCDISCOVER REQUIRED)

################################################
## Declare ROS messages, services and actions ##
################################################

file(GLOB_RECURSE MSG_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/msg" "msg/*.msg")
file(GLOB_RECURSE SRV_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}/srv" "srv/*.srv")

## Generate messages in the 'msg' folder
add_message_files(FILES ${MSG_FILES})

# Generate services in the 'srv' folder
add_service_files(FILES ${SRV_FILES})

# Generate added messages and services with any dependencies listed here
generate_messages(DEPENDENCIES geometry_msgs rc_common_msgs)

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

# Generate dynamic reconfigure parameters in the 'cfg' folder
generate_dynamic_reconfigure_options(cfg/SilhouetteMatch.cfg)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  CATKIN_DEPENDS message_runtime geometry_msgs rc_common_msgs
)

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${CPR_INCLUDE_DIRS}
  ${JSON_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(rc_silhouettematch_client
  src/visualizer.cpp
  src/rest_helper.cpp
  src/rc_silhouettematch_client.cpp
  src/rc_silhouettematch_client_node.cpp
)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
add_dependencies(rc_silhouettematch_client rc_silhouettematch_client_generate_messages_cpp)
add_dependencies(rc_silhouettematch_client rc_silhouettematch_client_gencfg)

## Specify libraries to link a library or executable target against
target_link_libraries(rc_silhouettematch_client
  ${catkin_LIBRARIES}
  ${CPR_LIBRARIES}
  rcdiscover::rcdiscover
)

############
# Install ##
############

# Mark executables and/or libraries for installation
install(TARGETS rc_silhouettematch_client
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_logging.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

######################################
## Define information for packaging ##
######################################
# optionally specify dependencies of the debian package here (comma separated!)
#set(CPACK_DEBIAN_PACKAGE_DEPENDS "cvkit (>= 1.7.0), ros-$ENV{ROS_DISTRO}-rc-imagecommon")
include(cmake/package_debian.cmake)

=== opt/cpr/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.7)

if(POLICY CMP0048)
    # cmake warns if loaded from a min-3.0-required parent dir, so silence the warning:
    cmake_policy(SET CMP0048 NEW)
endif()

# Allow use of project folders for IDEs like Visual Studio, so we
# could organize projects into relevant folders: "cpr", "tests" & "external (libraries)".
set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set_property(GLOBAL PROPERTY PREDEFINED_TARGETS_FOLDER "CMake")

project(cpr CXX)

if(NOT ${CMAKE_VERSION} VERSION_LESS 3.2)
    set(CMAKE_CXX_STANDARD 11)
    set(CMAKE_CXX_STANDARD_REQUIRED ON)
else()
    message(STATUS "Checking compiler flags for C++11 support.")
    # Set C++11 support flags for various compilers
    include(CheckCXXCompilerFlag)
    check_cxx_compiler_flag("-std=c++11" COMPILER_SUPPORTS_CXX11)
    check_cxx_compiler_flag("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
    if(COMPILER_SUPPORTS_CXX11)
        message(STATUS "C++11 is supported.")
        if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -stdlib=libc++")
        else()
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
        endif()
    elseif(COMPILER_SUPPORTS_CXX0X)
        message(STATUS "C++0x is supported.")
        if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -stdlib=libc++")
        else()
            set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
        endif()
    else()
        message(STATUS "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
    endif()
endif()

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin)
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

set(CPR_LIBRARIES cpr CACHE INTERNAL "")
set(CPR_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "")

macro(cpr_option OPTION_NAME OPTION_TEXT OPTION_DEFAULT)
    option(${OPTION_NAME} ${OPTION_TEXT} ${OPTION_DEFAULT})
    if(DEFINED ENV{${OPTION_NAME}})
        # Allow setting the option through an environment variable
        set(${OPTION_NAME} $ENV{${OPTION_NAME}})
    endif()
    if(${OPTION_NAME})
        add_definitions(-D${OPTION_NAME})
    endif()
    message(STATUS "  ${OPTION_NAME}: ${${OPTION_NAME}}")
endmacro()

message(STATUS "C++ Requests CMake Options")
message(STATUS "=======================================================")
cpr_option(USE_SYSTEM_CURL
    "If ON, this project will look in the system paths for an installed curl library" OFF)
cpr_option(BUILD_CPR_TESTS "Set to ON to build cpr tests." ON)
cpr_option(GENERATE_COVERAGE "Set to ON to generate coverage reports." OFF)
cpr_option(CPR_CURL_NOSIGNAL "Set to ON to disable use of signals in libcurl." OFF)
cpr_option(USE_SYSTEM_GTEST
    "If ON, this project will look in the system paths for an installed gtest library" OFF)
cpr_option(CMAKE_USE_OPENSSL "Use OpenSSL code. Experimental" ON)
message(STATUS "=======================================================")

if(BUILD_CPR_TESTS)
    enable_testing()
endif()

add_subdirectory(opt)
add_subdirectory(cpr)
if(BUILD_CPR_TESTS)
    add_subdirectory(test)
endif()

install(DIRECTORY include/cpr DESTINATION include)

=== debian/changelog ===
ros-melodic-rc-silhouettematch-client (3.1.0-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.5-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 19 Oct 2020 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.4-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 22 Sep 2020 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.3-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 21 Sep 2020 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.2-2stretch) stretch; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 27 Jul 2020 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.1-2stretch) stretch; urgency=high

  * add missing msg dependencies

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 13 May 2020 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.0-2stretch) stretch; urgency=high

  * refactoring and cleanup
  * set parameters on parameter server so that dynamic reconfigure picks them up
  * enum for dynamic reconfigure quality params
  * service calls always return true, but set return_code in case of error
  * visualize base plane as disk
  * add plane_preference
  * initial implementation of SilhouetteMatch client
  * Contributors: Elena Gambaro, Felix Ruess, schaller

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 12 May 2020 22:00:00 -0000

## ros-melodic-rc-silhouettematch-client 3.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 # - Standard definitions -
 
-if (CMAKE_MAJOR_VERSION VERSION_LESS "3.1.0")
+if (CMAKE_VERSION VERSION_LESS "3.1.0")
     add_definitions(-std=c++11)
 else ()
     set(CMAKE_CXX_STANDARD 11)

=== opt/CMakeLists.txt ===
# unset version variables
unset(PROJECT_VERSION)
unset(PACKAGE_VERSION)

# Git submodule: CPR

## disabling tests for cpr as googletests cause some issue in catkin workflow:
#  "CMake Error at cpr/opt/googletest/cmake/internal_utils.cmake:145 (add_library):
#  add_library cannot create target "gtest" because another target with the
#  same name already exists.  The existing target is a shared library created
#  in source directory "/usr/src/gtest".  See documentation for policy CMP0002
#  for more details.
#  Call Stack (most recent call first):
#  cpr/opt/googletest/cmake/internal_utils.cmake:168 (cxx_library_with_type)
#  cpr/opt/googletest/CMakeLists.txt:80 (cxx_library)"
set(BUILD_CPR_TESTS OFF CACHE BOOL "Don't build cpr tests")

# build cpr as static library with position independent code
set(BUILD_SHARED_LIBS OFF)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

option(USE_SYSTEM_CURL "If ON, this project will look in the system paths for an installed curl library" ON)

if (USE_SYSTEM_CURL)
  find_package(CURL)
endif ()

if (NOT USE_SYSTEM_CURL OR NOT CURL_FOUND)
  set(USE_SYSTEM_CURL OFF CACHE BOOL "If ON, this project will look in the system paths for an installed curl library" FORCE)

  set(BUILD_CURL_EXE ON CACHE BOOL "Build CURL command line tool")
  set(BUILD_TESTING OFF CACHE BOOL "Build testing tree")
endif ()

add_subdirectory(cpr EXCLUDE_FROM_ALL)

# JSON dependency

set(JSON_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR} PARENT_SCOPE)

=== opt/cpr/opt/CMakeLists.txt ===
macro(set_cache_variable VAR_NAME VAR_DESCRIPTION)
    set(${VAR_NAME} ${${VAR_NAME}} CACHE INTERNAL ${VAR_DESCRIPTION})
    message(STATUS "Set ${VAR_NAME} to ${${VAR_NAME}}.")
endmacro()


# Code coverage

if(BUILD_CPR_TESTS AND GENERATE_COVERAGE)
    set(CMAKE_BUILD_TYPE COVERAGE CACHE INTERNAL "Coverage enabled build")
    message(STATUS "Enabling gcov support")
    if(NOT "${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
        set(COVERAGE_FLAG "--coverage")
    endif()
    set(CMAKE_CXX_FLAGS_COVERAGE
        "-g -O0 ${COVERAGE_FLAG} -fprofile-arcs -ftest-coverage"
        CACHE STRING "Flags used by the C++ compiler during coverage builds."
        FORCE)
    set(CMAKE_C_FLAGS_COVERAGE
        "-g -O0 ${COVERAGE_FLAG} -fprofile-arcs -ftest-coverage"
        CACHE STRING "Flags used by the C compiler during coverage builds."
        FORCE)
    set(CMAKE_EXE_LINKER_FLAGS_COVERAGE
        ""
        CACHE STRING "Flags used for linking binaries during coverage builds."
        FORCE)
    set(CMAKE_SHARED_LINKER_FLAGS_COVERAGE
        ""
        CACHE STRING "Flags used by the shared libraries linker during coverage builds."
        FORCE)
    mark_as_advanced(
        CMAKE_CXX_FLAGS_COVERAGE
        CMAKE_C_FLAGS_COVERAGE
        CMAKE_EXE_LINKER_FLAGS_COVERAGE
        CMAKE_SHARED_LINKER_FLAGS_COVERAGE)
endif()


# Curl configuration

if(USE_SYSTEM_CURL)
    find_package(CURL)
endif()
if(NOT USE_SYSTEM_CURL OR NOT CURL_FOUND)
    message(STATUS "Not using system Curl, using built-in curl project instead.")
    option(BUILD_TESTING "Set to ON to build cURL tests." OFF)
    option(BUILD_CURL_EXE "Set to ON to build cURL executable." OFF)
    add_subdirectory(curl EXCLUDE_FROM_ALL)
    set(CURL_FOUND TRUE)
    set(CURL_LIBRARIES libcurl)
    set(CURL_INCLUDE_DIRS
        ${CURL_SOURCE_DIR}/include
        ${CURL_BINARY_DIR}/include/curl)
        
    # Group under the "external" project folder in IDEs such as Visual Studio.
    if(BUILD_CURL_EXE)
        set_property(TARGET curl PROPERTY FOLDER "external")
    endif()
        
    set_property(TARGET libcurl PROPERTY FOLDER "external")
endif()

set_cache_variable(CURL_FOUND "Set if libcurl is found or built")
set_cache_variable(CURL_LIBRARIES "Location of libcurl")
set_cache_variable(CURL_INCLUDE_DIRS "Location of curl include files")


# GTest configuration

if(BUILD_CPR_TESTS)
    if(USE_SYSTEM_GTEST)
        find_package(GTest)
    endif()
    if(NOT USE_SYSTEM_GTEST OR NOT GTEST_FOUND)
        message(STATUS "Not using system gtest, using built-in googletest project instead.")
        if(MSVC)
            # By default, GTest compiles on Windows in CRT static linkage mode. We use this
            # variable to force it into using the CRT in dynamic linkage (DLL), just as CPR
            # does.
            set(gtest_force_shared_crt ON CACHE BOOL "Force gtest to use the shared c runtime")
        endif()
        add_subdirectory(googletest)
        set(GTEST_FOUND TRUE)
        set(GTEST_LIBRARIES gtest)
        set(GTEST_MAIN_LIBRARIES gtest_main)
        set(GTEST_BOTH_LIBRARIES gtest gtest_main)
        set(GTEST_INCLUDE_DIRS ${gtest_SOURCE_DIR}/include)
        
        # Group under the "tests/gtest" project folder in IDEs such as Visual Studio.
    set_property(TARGET gtest PROPERTY FOLDER "tests/gtest")
    set_property(TARGET gtest_main PROPERTY FOLDER "tests/gtest")
    endif()

    set_cache_variable(GTEST_FOUND "Set if libgtest was found or built")
    set_cache_variable(GTEST_LIBRARIES "Location of libgtest")
    set_cache_variable(GTEST_MAIN_LIBRARIES "Location of libgtest-main")
    set_cache_variable(GTEST_BOTH_LIBRARIES "Location of both gtest libraries")
    set_cache_variable(GTEST_INCLUDE_DIRS "Location of gtest include files")
endif()


# Mongoose configuration

if(BUILD_CPR_TESTS)
    message(STATUS "Building mongoose project for test support.")
    add_subdirectory(mongoose)
    set(MONGOOSE_FOUND TRUE)
    set(MONGOOSE_LIBRARIES mongoose)
    set(MONGOOSE_INCLUDE_DIRS ${mongoose_SOURCE_DIR})

    set_cache_variable(MONGOOSE_FOUND "Set if libmongoose was found or built")
    set_cache_variable(MONGOOSE_LIBRARIES "Location of libmongoose")
    set_cache_variable(MONGOOSE_INCLUDE_DIRS "Location of mongoose include files")
    
    # Group under the "external" project folder in IDEs such as Visual Studio.
    set_property(TARGET mongoose PROPERTY FOLDER "external")
endif()

=== debian/changelog ===
ros-melodic-rc-silhouettematch-client (3.3.2-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 17 Feb 2022 23:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.3.1-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 17 Feb 2022 23:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.3.0-1bionic) bionic; urgency=high

  * remove ROI services

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 07 Feb 2022 23:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.2.4-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 14 Nov 2021 23:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.2.3-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 02 Aug 2021 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.2.2-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 01 Aug 2021 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.2.1-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 10 Feb 2021 23:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.2.0-1bionic) bionic; urgency=high

  * update cmake files for better version handling

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 27 Jan 2021 23:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.1.0-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.5-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 19 Oct 2020 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.4-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 22 Sep 2020 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.3-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 21 Sep 2020 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.2-1bionic) bionic; urgency=high



 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 27 Jul 2020 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.1-1bionic) bionic; urgency=high

  * add missing msg dependencies

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 13 May 2020 22:00:00 -0000

ros-melodic-rc-silhouettematch-client (3.0.0-1bionic) bionic; urgency=high

  * refactoring and cleanup
  * set parameters on parameter server so that dynamic reconfigure picks them up
  * enum for dynamic reconfigure quality params
  * service calls always return true, but set return_code in case of error
  * visualize base plane as disk
  * add plane_preference
  * initial implementation of SilhouetteMatch client
  * Contributors: Elena Gambaro, Felix Ruess, schaller

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 12 May 2020 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-rc-silhouettematch-client
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), curl, libcurl4-openssl-dev, ros-melodic-catkin, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-message-generation, ros-melodic-rc-common-msgs, ros-melodic-rcdiscover, ros-melodic-roscpp, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-visualization-msgs
Homepage: http://wiki.ros.org/rc_silhouettematch_client
Standards-Version: 3.9.2

Package: ros-melodic-rc-silhouettematch-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, curl, libcurl4-openssl-dev, ros-melodic-dynamic-reconfigure, ros-melodic-geometry-msgs, ros-melodic-message-runtime, ros-melodic-rc-common-msgs, ros-melodic-rcdiscover, ros-melodic-roscpp, ros-melodic-tf2, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-ros, ros-melodic-visualization-msgs
Description: The ros client for roboception silhouette match module

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rc-silhouettematch-client//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
